Bug 588483 - Minimal+gnome installation doesn't install X server
Minimal+gnome installation doesn't install X server
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 591610
  Show dependency treegraph
 
Reported: 2010-05-03 15:40 EDT by Paul Flinders
Modified: 2014-03-16 23:23 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 591610 (view as bug list)
Environment:
Last Closed: 2011-06-27 12:04:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (471 bytes, patch)
2010-05-11 18:08 EDT, Bill Nottingham
no flags Details | Diff

  None (edit)
Description Paul Flinders 2010-05-03 15:40:17 EDT
Description of problem:
Minimal+gnome installation doesn't install X server

Version-Release number of selected component (if applicable):
13 beta

How reproducible:


Steps to Reproduce:
1. Start install
2. Choose Minimal+Customise Now+Select Gnome
3. 
  
Actual results:
Reboot post install shows blank screen

Expected results:
Graphical login

Additional info:
Choosing minimal install then adding gnome with Customise Now fails to install an X server - this then means that the initial boot "fails" just leaving a blank screen.

In fact console logins are available if one switches VTs

I'd sort-of expect that gnome would depend on enough X to actually get a login screen presented on initial boot.
Comment 1 Ray Strode [halfline] 2010-05-04 12:33:32 EDT
What exactly did you click when you selected "Gnome" ?

There is no one GNOME package, and we don't have any groups called "GNOME" as far as I know (We have some desktop groups that will pull in GNOME though).
Comment 2 Jesse Keating 2010-05-04 12:52:29 EDT
This is by design.  The gnome desktop group includes the packages necessary to run gnome, but doesn't necessarily include packages to run it /locally/.  You can ssh in with forwarded X11 and run gnome on a remote X host.  In order to be able to run it locally, you must also select the Base X group.
Comment 3 Paul Flinders 2010-05-04 17:12:09 EDT
> What exactly did you click when you selected "Gnome" ?
Desktop environments, then Gnome (desktop) - but I think Jesse has a handle on what happened....

> This is by design

OK, but if you don't select the base X group the install apparently "fails" because the only thing you see on initial boot is a blank screen, not a console login.

It might be intentional but, to my mind at least, I /did/ expect minimal+"gnome desktop"to install just enough for a local graphical login plus a local gnome desktop.
Comment 4 R P Herrold 2010-05-04 17:26:12 EDT
heh -- that would be Debian's: Suggests    ;)
Comment 5 Jesse Keating 2010-05-04 17:44:29 EDT
Getting nothing but a blank screen does indeed sound like a bug.  You should have been given the text login prompt.  If you can reproduce, please file that as a separate bug.
Comment 6 Ray Strode [halfline] 2010-05-04 21:42:13 EDT
Well there are potentially two bugs here:

1) anaconda puts runlevel 5 in inittab even when X server isn't installed (or maybe GDM doesn't Requires: Xorg ?)
2) Niche case of GNOME but-no-X is trumping slightly less niche case of "minimal GNOME install"
Comment 7 Bill Nottingham 2010-05-05 11:44:37 EDT
anaconda sets runlevel 5 based on the presence of a display manager.

The display managers do not require the server.
Comment 8 Ray Strode [halfline] 2010-05-05 18:43:41 EDT
alright, so we've got to figure out whether the fix for 1) is:

- Make anaconda set runlevel 5 based on the presence of a display manager AND the presence of a X server
or
- Make GDM require X

If we go for the latter option we fix 2) as a side-effect

We could go for both, I suppose. CHRIS LUMENS do you have thoughts?
Comment 9 Chris Lumens 2010-05-06 10:53:48 EDT
> - Make anaconda set runlevel 5 based on the presence of a display manager AND
> the presence of a X server

Are there valid reasons for running in runlevel 5 without having an X server installed?  Are there other programs that provide the same functionality as the X server that will require a broader test than just checking for xorg-x11-server (or whatever) in the transaction set?

Are there valid reasons for installing GDM but not an X server?

I'm fine with either fix, and I can see reasons for doing it both ways.
Comment 10 Bill Nottingham 2010-05-06 12:30:32 EDT
IMO...

- runlevel 5 by default with X server *and* display manager == valid
- runlevel 5 by default with display manager only == invalid
- runlevel 5 by default with X server only == invalid

- install with X server and display manager == valid
- install with display manager only == valid (remote terminal/client server)
- install with X server only == valid, if sort of pointless.
Comment 11 Chris Lumens 2010-05-11 17:19:31 EDT
> - runlevel 5 by default with X server *and* display manager == valid
> - runlevel 5 by default with display manager only == invalid
> - runlevel 5 by default with X server only == invalid
> 
> - install with X server and display manager == valid
> - install with display manager only == valid (remote terminal/client server)
> - install with X server only == valid, if sort of pointless.    

This sounds like you prefer an anaconda solution, then.
Comment 12 Bill Nottingham 2010-05-11 18:08:55 EDT
Created attachment 413275 [details]
patch

Something like the attached, I suspect.
Comment 13 Chris Lumens 2010-05-11 19:29:21 EDT
Looks reasonable to me.  Feel free to commit to master, or send to anaconda-devel-list if you really want to go crazy with the process.  But consider this my ACK.
Comment 14 Bill Nottingham 2010-05-12 13:23:10 EDT
Added on the F-14 branch.
Comment 15 Bug Zapper 2011-06-02 10:32:18 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2011-06-27 12:04:12 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.